
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>浅析php过滤html字符串,防止SQL注入的方法 / iVAN</title>

    <meta name="description" content="浅析php过滤html字符串,防止SQL注入的方法 本篇文章是对php中过滤html字符串,防止SQL注入的方法进行了详细的分析介绍,需要的朋友参考下   批量过滤post,get敏感数据 复制代码 代码如下: $_GET = stripslashes_array($_GET); $_POST = stripslashes_array($_POST); 数据过滤函数 复制代码 代码如下: function stripslashes_array(&amp;$array) {  while(list($key,$var) = each($array) ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">浅析php过滤html字符串,防止SQL注入的方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本篇文章是对php中过滤html字符串,防止SQL注入的方法进行了详细的分析介绍，需要的朋友参考下<br />
 <br />
<br /><strong>批量过滤post,get敏感数据<br /></strong></p>
<p><u>复制代码</u> 代码如下:<br />
<br />
$_GET = stripslashes_array($_GET);<br />
$_POST = stripslashes_array($_POST);<br />
<br /><strong>数据过滤函数<br /></strong></p>
<p><u>复制代码</u> 代码如下:<br />
<br />
function stripslashes_array(&amp;$array) {<br />
 while(list($key,$var) = each($array)) {<br />
  if ($key != 'argc' &amp;&amp; $key != 'argv' &amp;&amp; (strtoupper($key) != $key || ''.intval($key) == "$key")) {<br />
   if (is_string($var)) {<br />
    $array[$key] = stripslashes($var);<br />
   }<br />
   if (is_array($var))  {<br />
    $array[$key] = stripslashes_array($var);<br />
   }<br />
  }<br />
 }<br />
 return $array; <br />
}<br />
<br /><strong>替换HTML尾标签,为过滤服务<br /></strong></p>
<p><u>复制代码</u> 代码如下:<br />
<br />function lib_replace_end_tag($str)<br />
{<br />
 if (empty($str)) return false;<br />
 $str = htmlspecialchars($str);<br />
 $str = str_replace( '/', "", $str);<br />
 $str = str_replace("", "", $str);<br />
 $str = str_replace("&gt;", "", $str);<br />
 $str = str_replace("&lt;", "", $str);<br />
 $str = str_replace("&lt;SCRIPT&gt;", "", $str);<br />
 $str = str_replace("&lt;/SCRIPT&gt;", "", $str);<br />
 $str = str_replace("&lt;script&gt;", "", $str);<br />
 $str = str_replace("&lt;/script&gt;", "", $str);<br />
 $str=str_replace("select","select",$str);<br />
 $str=str_replace("join","join",$str);<br />
 $str=str_replace("union","union",$str);<br />
 $str=str_replace("where","where",$str);<br />
 $str=str_replace("insert","insert",$str);<br />
 $str=str_replace("delete","delete",$str);<br />
 $str=str_replace("update","update",$str);<br />
 $str=str_replace("like","like",$str);<br />
 $str=str_replace("drop","drop",$str);<br />
 $str=str_replace("create","create",$str);<br />
 $str=str_replace("modify","modify",$str);<br />
 $str=str_replace("rename","rename",$str);<br />
 $str=str_replace("alter","alter",$str);<br />
 $str=str_replace("cas","cast",$str);<br />
 $str=str_replace("&amp;","&amp;",$str);<br />
 $str=str_replace("&gt;","&gt;",$str);<br />
 $str=str_replace("&lt;","&lt;",$str);<br />
 $str=str_replace(" ",chr(32),$str);<br />
 $str=str_replace(" ",chr(9),$str);<br />
 $str=str_replace("    ",chr(9),$str);<br />
 $str=str_replace("&amp;",chr(34),$str);<br />
 $str=str_replace("'",chr(39),$str);<br />
 $str=str_replace("&lt;br /&gt;",chr(13),$str);<br />
 $str=str_replace("''","'",$str);<br />
 $str=str_replace("css","'",$str);<br />
 $str=str_replace("CSS","'",$str); <br />
 return $str;  <br />
}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:01:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/str/" title="str">str</a>, <a href="https://www.iamivan.net/tag/var/" title="var">var</a>, <a href="https://www.iamivan.net/tag/str_replace/" title="str&lowbar;replace">str&lowbar;replace</a>, <a href="https://www.iamivan.net/tag/array/" title="array">array</a>, <a href="https://www.iamivan.net/tag/key/" title="key">key</a>, <a href="https://www.iamivan.net/tag/html%e6%b3%a8%e5%85%a5/" title="html注入">html注入</a>, <a href="https://www.iamivan.net/tag/%e6%89%b9%e9%87%8f%e6%b3%a8%e5%85%a5/" title="批量注入">批量注入</a>, <a href="https://www.iamivan.net/tag/stripslashes/" title="stripslashes&lpar;&rpar;">stripslashes&lpar;&rpar;</a>, <a href="https://www.iamivan.net/tag/php%e8%bf%87%e6%bb%a4html/" title="php过滤html">php过滤html</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>浅析php过滤html字符串,防止SQL注入的方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jmkvp.html" rel="bookmark">浅析php过滤html字符串&comma;防止SQL注入的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				批量过滤post,get敏感数据 复制代码 代码如下: $_GET = stripslashes_array($_GET);$_POST = stripslashes_array($_POST); 数据过滤函数 复制代码 代码如下: function stripslashes_array(&amp;$array) { while(list($key,$var) = each($array)) {  if ($key != 'argc' &amp;&amp; $key != 'argv' &amp;&amp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRo2Nb.html" rel="bookmark">PHP登录环节防止sql注入的方法浅析&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在防止sql注入这些细节出现问题的一般是那些大意的程序员或者是新手程序员,他们由于没有对用户提交过来的数据进行一些必要的过滤,从而导致了给大家测试的时候一下就攻破了你的数据库,下面我们来简单的介绍一个用户登录未进行安全配置可能出现的sql注入方法,下面一起来看看吧. 比如以下一段登录的代码: if($l = @mysql_connect('localhost', 'root', '123')) or die('数据库连接失败'); mysql_select_db('test'); mysql_s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK7N5M.html" rel="bookmark">输入值&sol;表单提交参数过滤有效防止sql注入的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				输入值/表单提交参数过滤可以有效防止sql注入或非法攻击,下面为大家介绍些不错的方法,感兴趣的不要错过 输入值/表单提交参数过滤,防止sql注入或非法攻击的方法:  复制代码 代码如下: /**  * 过滤sql与php文件操作的关键字  * @param string $string  * @return string  * @author zyb &lt;zyb_icanplay@163.com&gt;  */  private function filter_keyword( $string ) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY33Vb.html" rel="bookmark">php中&dollar;&lowbar;GET与&dollar;&lowbar;POST过滤sql注入的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php中$_GET与$_POST过滤sql注入的方法,分享给大家供大家参考.具体分析如下: 此函数只能过滤一些敏感的sql命令了,像id=1这种大家还是需要自己简单过滤了. 主要实现代码如下: 复制代码 代码如下: if (!get_magic_quotes_gpc()) { if (!empty($_GET)) { $_GET  = addslashes_deep($_GET); } if (!empty($_POST)) { $_POST = addslashes_deep($			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrakxxb.html" rel="bookmark">PHP防止数据库字符串登录SQL注入攻击</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php header(&quot;Content-Type:text/html;charset=UTF-8&quot;); // 数据库配置 include_once 'config.php'; // 获得传递参数 $user_name=isset($_request['user_name'])?$_request['user_name']:''; $user_password=isset($_request['user_password'])?$_request['user_password'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVGanKb.html" rel="bookmark">PHP简单预防sql注入的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP简单预防sql注入的方法.分享给大家供大家参考,具体如下: 出现sql注入一般都是因为语法不规范不严谨造成的,问题出现在sql语句上,而起决定性的是quote(').如下: $sql = &quot;delete from table where id ='$id'&quot; ; 正常提交的话就是删除一条数据,若id提交的是(1 ' or 1 #),那么sql语句就变成了 delete from table where id = '1'or 1 #'; 这样的话就会把整个表给删掉,造			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKyZnz.html" rel="bookmark">JS代码防止SQL注入的方法&lpar;超简单&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				下面通过两个方面给大家介绍js代码防止sql注入的方法,非常简单实用,感兴趣的朋友参考下吧! 1.URL地址防注入: //过滤URL非法SQL字符 var sUrl=location.search.toLowerCase(); var sQuery=sUrl.substring(sUrl.indexOf(&quot;=&quot;)+1); re=/select|update|delete|truncate|join|union|exec|insert|drop|count|'|&quot;|;|&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr27rmM.html" rel="bookmark">java持久层框架mybatis防止sql注入的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sql注入大家都不陌生,是一种常见的攻击方式,攻击者在界面的表单信息或url上输入一些奇怪的sql片段,例如&quot;or '1'='1'&quot;这样的语句,有可能入侵参数校验不足的应用程序.所以在我们的应用中需要做一些工作,来防备这样的攻击方式.在一些安全性很高的应用中,比如银行软件,经常使用将sql语句全部替换为存储过程这样的方式,来防止sql注入,这当然是一种很安全的方式,但我们平时开发中,可能不需要这种死板的方式. mybatis框架作为一款半自动化的持久层框架,其sql语句都要我们自己来手			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2ErAb.html" rel="bookmark">防御SQL注入的方法总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL 注入是一类危害极大的攻击形式.虽然危害很大,但是防御却远远没有XSS那么困难. SQL 注入可以参见:https://en.wikipedia.org/wiki/SQL_injection SQL 注入漏洞存在的原因,就是拼接 SQL 参数.也就是将用于输入的查询参数,直接拼接在 SQL 语句中,导致了SQL 注入漏洞. 1. 演示下经典的SQL注入 我们看到:select id,no from user where id=2; 如果该语句是通过sql字符串拼接得到的,比如: Strin			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY5Z9M.html" rel="bookmark" class="title">PS把照片转成日式卡通动漫&sol;芭比娃娃效果教程</a>
					<div>
						效果图 原图 好吧,,,开始更新教程 之前看过我所谓教程的,,都知道我教程的渣程度... 经典的就是教程三部曲,, 第一步,新建文档, 第二步,沉思,,,,,, 第三步,把想象中的稿子画出来.. 好吧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5PGDM.html" rel="bookmark" class="title">案例分析：优化推广必须做的第一步</a>
					<div>
						前几天跳槽到了一个手表品牌公司当网络推广主管.接手后的第一个工作就是对整个网站的结构和代码进行优化.通过结构和代码优化后效果还是很明显的,毕竟好的开始就是成功的一半.如果我们把搜索引擎比作一个公司,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rlv5p.html" rel="bookmark" class="title">华为BGP的基本配置命令</a>
					<div>
						华为的配置: 如下图所示,为了好理解用它们的之间相连的主机名字的来做的IP地址(C类的地址/30的掩码) 蓝色区域的为Area1,绿色区域的为Area2,它们之间用的是ISIS的协议.R7与R8之间也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jdLZb.html" rel="bookmark" class="title">Dreamweaver怎么连续快速的添加空格？</a>
					<div>
						  方法一: 按住ctrl+shift+空格键 方法二: 在菜单栏,编辑--首选参数--常规 方法三:切换到代码试图,在要打空格的地方输入					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP42rz.html" rel="bookmark" class="title">HTTPS连接的前几毫秒发生了什么</a>
					<div>
						  花了数小时阅读了如潮的好评,Bob最终迫不及待为他购买的托斯卡纳全脂牛奶点击了&quot;进行结算&quot;,然后-- 哇!刚刚发生了什么? 在点击按钮过后的220毫秒时间内,发生了一系列有趣的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJwV2p.html" rel="bookmark" class="title">jquery如何根据值设置默认的选中项</a>
					<div>
						 这篇文章主要介绍了jquery如何根据值设置默认的选中项,需要的朋友可以参考下  代码如下: $(&quot;#objtype option[value='{$_GET[objtype]}']&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGE2Db.html" rel="bookmark" class="title">在Photoshop中设计超酷的龙形游戏logo</a>
					<div>
						  Step 1: 新建文件,大小为1280×720 px . 选择渐变工具,径向渐变. 渐变颜色从 #d97408 到 #4c2407. 从中心到边缘,拉出如下渐变. Step 2: 然后把龙形LO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwOdVb.html" rel="bookmark" class="title">快牙开启热点失败怎么办</a>
					<div>
						  注: 1. 电脑内必须有无线网卡硬件才可创建虚拟WiFi状态,如未有无线网卡,但电脑和手机在同WiFi环境内也可连接 2. 与&quot;快牙电脑版&quot;相同产品会出现冲撞程序,有可能导致无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywAnJz.html" rel="bookmark" class="title">如何使用微信公众号发图文</a>
					<div>
						  1.通过浏览器打开微信公众平台登陆页面,输入用户名和密码,点击登陆 2.点击左侧的&quot;管理&quot;-&quot;素材管理&quot;,鼠标移动到页面&quot;+&quot;号的位置, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXOwnp.html" rel="bookmark" class="title">【JSP开发】用ServletContext读取资源文件</a>
					<div>
						两种读取资源文件的方法. db.properties文件中放了三个参数,分别是url.username和password信息. 测试代码: package cn.edu; import java.io ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPXm0p.html" rel="bookmark" class="title">&period;OCX、&period;dll文件注册命令Regsvr32的使用</a>
					<div>
						1.打开文件,打开需要注册的OCX文件或dll文件,2.然后根据需要进行OCX文件或DLL文件的注册和反注册 DLL.OCX注册方法--文件Regsvr32用法及情况介绍  使用过activex的人都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32akAz.html" rel="bookmark" class="title">【译】Web 设计准则</a>
					<div>
						本文讲的是[译]Web 设计准则, 原文地址:Do's and Don'ts of Web Design 原文作者:Nick Babich 译文出自:掘金翻译计划 本文永久链接:github.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6D30b.html" rel="bookmark" class="title">客户端发送-关于数据包的破解和加密</a>
					<div>
						问题描述 关于数据包的破解和加密 例如:别人知道我的数据包加密算法,知道我包里有什么东西,但是我服务端做了验证,他还能改我的数据么?比如:客户端发送100金币,他修改成1000金币,但是我服务端记录了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWlKkz.html" rel="bookmark" class="title">多线程 并发执行-多线程同步，时间如何确定？？？急。</a>
					<div>
						问题描述 多线程同步,时间如何确定???急. 最近在做一个项目,关于无人驾驶方面的. 我主要从事环境感知模块的开发. 现在有一个疑问,假如单开一个线程给图像,做数据接收,并做图像处理,时间大概需要80 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5Z6QM.html" rel="bookmark" class="title">firefox-selenium版本和Firefox不兼容</a>
					<div>
						问题描述 selenium版本和Firefox不兼容 报错如下: org.openqa.selenium.firefox.NotConnectedException: Unable to connec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBv2lb.html" rel="bookmark" class="title">经典系统windows xp sp3官方原版下载（附XP序列号）</a>
					<div>
						经典系统windows xp sp3官方原版下载(附XP序列号)    在过几日,微软最新的操作系统windows 7就将像外发售了!虽然Vista操作系统已经问世多年,但XP系统仍然占据着王位,在市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKr0oz.html" rel="bookmark" class="title">CSS3 Transition属性使用详解</a>
					<div>
						css3的transition这是样描述的:&quot;css的transition允许css的属性值在一定的时间区间内平滑地过渡.这种效果可以在鼠标单击.获得焦点.被点击或对元素任何改变中触发,并圆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwLPWM.html" rel="bookmark" class="title">myeclipse10的破解方法哪位大神能给详细的</a>
					<div>
						问题描述 myeclipse10的破解方法哪位大神能给详细的 myeclipse10的破解方法哪位大神能给详细的,求myeclipse10详细的破解方法...... 解决方案 http://jingy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAA1Eb.html" rel="bookmark" class="title">58同城姚劲波&colon; 不在乎放弃利润</a>
					<div>
						摘要: 原来以为战斗结束了,但实际上这个市场刚刚开始.坐在 58同城 会议室里,姚劲波如此向21世纪经济报道记者表述目前的心情.就在前几天, 赶集网 宣布完成规模为2亿美元的第五轮融 &quot;原来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod0yBM.html" rel="bookmark" class="title">怎样加入自己用户的头像和昵称？</a>
					<div>
						问题描述 怎样加入自己用户的头像和昵称? 解决方案 本帖最后由 hblzg123 于 2015-4-14 18:18 编辑 - (void)setMessageModel:(MessageModel  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5EYAp.html" rel="bookmark" class="title">servlet java-Servlet类加载文件读取资源</a>
					<div>
						问题描述 Servlet类加载文件读取资源 type Exception report message description The server encountered an internal e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MNn6ANM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjcyNjkvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MNn6ANM.html" rel="bookmark" class="title">35个大数据投资并购案例（近2月，超15亿美金）</a>
					<div>
						做了个笨事, 整理了从9月下旬到现在差不多两个月的全球大数据方向的投资并购案例, 总共35个项目,超过15亿美元, 包括三起超过一亿美金的收购(Facebook 1.5亿美元收购移动数据分析服务Ona ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeJBvM.html" rel="bookmark" class="title">azure-我在java rest 请求上传了证书，为何还是认证失败</a>
					<div>
						问题描述 我在java rest 请求上传了证书,为何还是认证失败 大家好, 我使用了keytool 生成了证书,并将证书上传到了azure中,当在请求资源时,仍然显示身份认证失败,请问这是什么原因? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW8VAM.html" rel="bookmark" class="title">支持者抨击思杰放弃OpenStack云平台</a>
					<div>
						OpenStack项目的高级协调者对思杰放弃支持这个开源软件云部署平台并且开始支持另一个基于Apache许可证的开源软件项目进行了抨击. 随着这次变化,思杰建造云服务的CloudStack平台现在成为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE3RZM.html" rel="bookmark" class="title">插件-哪位大神懂manven啊，一直有这个错整不动了</a>
					<div>
						问题描述 哪位大神懂manven啊,一直有这个错整不动了 网上下的manven工程开源代码,地址https://github.com/dadoonet/fsriver,一直有错Project buil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12YV3p.html" rel="bookmark" class="title">专访阿里云高级技术专家吴威：Kafka、Spark和Flink类支持流式计算的软件会越来越流行</a>
					<div>
						杭州·云栖大会将于2016年10月13-16日在云栖小镇举办,在这场标签为互联网.创新.创业的云计算盛宴上,众多行业精英都将在这几天里分享超过450个演讲主题. 为了帮助大家进一步了解这场全球前言技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLK5VM.html" rel="bookmark" class="title">asp 高级数据连接方法</a>
					<div>
						&lt;% Session.CodePage = 936 Response.Buffer = True  Response.ExpiresAbsolute = Now() - 1  Response. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWK5Pz.html" rel="bookmark" class="title">Android中TelephonyManager类的用法案例详解&lowbar;Android</a>
					<div>
						本文以案例形式分析了Android中TelephonyManager类的用法.分享给大家供大家参考.具体如下: 目录结构: main.xml布局文件: &lt;?xml version=&quot;1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7EJKb.html" rel="bookmark" class="title">ThinkPHP3&period;2&period;2的插件控制器功能简述&lowbar;php实例</a>
					<div>
						ThinkPHP从3.2.2版本开始支持插件控制器的调用,可以通过更加方便的URL地址访问到模块中某个插件定义的控制器. 当URL中传入插件控制器变量的时候,会自动定位到插件控制器中的操作方法. 插件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QnEXM.html" rel="bookmark" class="title">Android输入法与表情面板切换时的界面抖动问题解决方法&lowbar;Android</a>
					<div>
						昨天琢磨了下Android的输入法弹出模式,突然发现利用动态切换输入法的弹出模式可以解决输入法抖动的问题.具体是怎样的抖动呢?我们先看微博的反面教材. [具体表现为:表情面板与输入法面板高度不一致,从 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
